"use strict";
export const link = {
    props: {
        url: String,
        linkType: {
            type: String,
            default: 'navigateTo'
        }
    },
    data() {
        return {
        }
    },
    mounted() {
    },
    methods: {
        jumpLink: function (urlKey) {
            console.log(this.linkType)
            if (urlKey === void 0) { urlKey = 'url'; }
            var url = this[urlKey];
            if (url) {
                uni[this.linkType]({ url: url });
            }
        }
    }
}
